Commit 5dc478d7 authored by Leigh B. Stoller's avatar Leigh B. Stoller

Patch from Pat Gunn; Makes it easier to update emulab client images on

nodes that are not on the public internet
parent b1813dd9
......@@ -12,10 +12,12 @@ fi
if [ ! -d iperf-2.0.2/src ]; then
echo "Downloading iperf source from www.emulab.net to $1 ..."
cd $1
$fetch http://www.emulab.net/downloads/iperf-2.0.2.tar.gz
if [ $? -ne 0 ]; then
echo "Failed..."
exit 1
if [ ! -f iperf-2.0.2.tar.gz ]; then
$fetch http://www.emulab.net/downloads/iperf-2.0.2.tar.gz
if [ $? -ne 0 ]; then
echo "Failed..."
exit 1
fi
fi
echo "Unpacking/patching iperf-2.0.2 source ..."
tar xzof iperf-2.0.2.tar.gz || {
......
......@@ -14,10 +14,12 @@ fi
if [ ! -d rude-$version/src ]; then
echo "Downloading rude source from www.emulab.net to $1 ..."
cd $1
$fetch http://www.emulab.net/downloads/rude-$version.tar.gz
if [ $? -ne 0 ]; then
echo "Failed..."
exit 1
if [ ! -f rude-$version.tar.gz ]; then
$fetch http://www.emulab.net/downloads/rude-$version.tar.gz
if [ $? -ne 0 ]; then
echo "Failed..."
exit 1
fi
fi
echo "Unpacking/patching $rude-version source ..."
tar xzof rude-$version.tar.gz || {
......
#!/bin/sh
#
# EMULAB-COPYRIGHT
# Copyright (c) 2004 University of Utah and the Flux Group.
# Copyright (c) 2004, 2009 University of Utah and the Flux Group.
# All rights reserved.
#
......@@ -21,14 +21,16 @@ if [ -n "$2" ]; then host=$2; else host=www.emulab.net ; fi
if [ ! -d $1/tg2.0/src ]; then
echo "Downloading tg2.0 source from $host to $1 ..."
cd $1
$fetch http://$host/tg2.0.tar.gz
if [ $? -ne 0 ]; then
echo "Failed..."
echo "Downloading tg2.0 source from www.postel.org to $1 ..."
$fetch http://www.postel.org/tg/tg2.0.tar.gz || {
echo "ERROR: tg-install: $fetch failed"
exit 1
}
if [ ! -f tg2.0.tar.gz ]; then
$fetch http://$host/tg2.0.tar.gz
if [ $? -ne 0 ]; then
echo "Failed..."
echo "Downloading tg2.0 source from www.postel.org to $1 ..."
$fetch http://www.postel.org/tg/tg2.0.tar.gz || {
echo "ERROR: tg-install: $fetch failed"
exit 1
}
fi
fi
echo "Unpacking/patching tg2.0 source ..."
tar xzof tg2.0.tar.gz || {
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment